%define name	ksplashml
%define Name	Ksplashml
%define	version	0.95.3	
%define release 8mdk
%define summary	Highly configurable Mac-like drop-in replacement for ksplash. 
%define major	0
%define libname %mklibname %name %major

Summary: 	%{summary}	
Name:   	%{name}
Version: 	%{version}
Release:	%{release}
Source0: 	%{name}-%{version}.tar.bz2
Patch1:		%{name}-fix-test.patch.bz2
Patch2:		%{name}-fix-compile-gcc3.1.patch.bz2
Patch3:		%{name}2-fix-compile-gcc3.1.patch.bz2
Patch4:		%{name}-0.95.patch.bz2
License:  	GPL
Group: 		Graphical desktop/KDE
URL:		http://www.shadowcom.net/Software/ksplash-ml/
BuildRoot: 	%_tmppath/%name-%version-%release-root
BuildRequires:	libarts-devel kdelibs-devel libjpeg-devel libpng-devel XFree86-devel libart_lgpl-devel
BuildRequires:	libfam-devel
Obsoletes:	kde3-%{name}
Provides:	kde3-%{name}

%description
Highly configurable Mac-like drop-in replacement for ksplash. Notice that 
this is a separate software package which physically replaces your ksplash 
binary. This _should_ work with KDE 2.1 and greater, but who knows for sure. 
Includes a KCM module to help you configure it to suit your personal tastes 
(each user can set it up differently). Simple to configure and install.

%package -n %libname
Group: System/Libraries
Summary: Libraries from %Name
Provides: lib%name = %version-%release

%description -n %libname
The libraries from %Name package

%package -n %libname-devel
Group: Development/Other
Summary: Libraries from %Name
Requires: %libname = %version-%release
Provides: lib%name-devel = %version-%release
Provides: %name-devel = %version-%release
Obsoletes: %name-devel

%description -n %libname-devel
The libraries from %Name package

%prep

%setup  -q
#%patch1	-p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix
export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

CFLAGS="%optflags" CXXFLAGS="%optflags" \
        ./configure --prefix=%_prefix \
	            --disable-rpath \
		    --with-qt-dir=/usr/lib/qt3 \
		    --disable-rpath \
		    --disable-debug \
		    --libdir=%{_libdir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
install -d %buildroot/%_menudir
kdedesktop2mdkmenu.pl %{Name} Configuration/KDE/LookNFeel %buildroot/%_datadir/applnk/Settings/LookNFeel/ksplash.desktop %buildroot/%_menudir/%{name} kde

# laurent - 0.80-3mdk fix conflict with ksplash (kdebase)
# I modify startkde to launch ksplash or %{name} 
# So you must use kdebase > 2.2.2-6mdk
mv %buildroot/%_bindir/ksplash %buildroot/%_bindir/%{name}

chmod 644 AUTHORS COPYING ChangeLog INSTALL NEWS README TODO

%clean
rm -fr %buildroot

%post
%{update_menus}

%postun
%{clean_menus}

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%files  
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%_bindir/*
%dir %_datadir/apps/
%dir %_datadir/apps/%{name}/
%dir %_datadir/apps/%{name}/pics/
%_datadir/apps/%{name}/pics/*.png

%dir %_datadir/apps/%{name}/Themes/
%dir %_datadir/apps/%{name}/Themes/Classic/
%_datadir/apps/%{name}/Themes/Classic/*.png
%_datadir/apps/%{name}/Themes/Classic/*.rc
%dir %_datadir/apps/%{name}/Themes/Classic/locolor/
%_datadir/apps/%{name}/Themes/Classic/locolor/*.png
%dir %_datadir/apps/%{name}/Themes/Default/
%_datadir/apps/%{name}/Themes/Default/*.png
%_datadir/apps/%{name}/Themes/Default/*.rc
%dir %_datadir/apps/%{name}/Themes/MacClassic/
%_datadir/apps/%{name}/Themes/MacClassic/*.png
%_datadir/apps/%{name}/Themes/MacClassic/*.rc
%dir %_datadir/apps/%{name}/Themes/XpLike/
%_datadir/apps/%{name}/Themes/XpLike/*.png
%_datadir/apps/%{name}/Themes/XpLike/*.rc
%dir %_datadir/applnk/
%dir %_datadir/applnk/Settings/
%dir %_datadir/applnk/Settings/LookNFeel/
%_datadir/applnk/Settings/LookNFeel/*.desktop
%_menudir/*  

%files -n %libname
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%_libdir/libkcm_ksplash.so
%_libdir/*.so.*
%_libdir/libkml*.so
%_libdir/*.la*

%files -n %libname-devel
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%_includedir/*.h

%changelog
* Fri Sep 05 2003 Laurent Culioli <laurent@pschit.net> 0.95.3-8mdk
- fix obsoletes / provides

* Mon Sep 01 2003 Laurent Culioli <laurent@pschit.net> 0.95.3-7mdk
- move .so plugin from lib-devel to lib package

* Fri Aug 01 2003 Laurent Culioli <laurent@pschit.net> 0.95.3-6mdk
- mklibification
- clean specfile
- add %ddoc section

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.95.3-5mdk
- Rebuild

* Fri Apr 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.95.3-4mdk
- rm -rf buildroot in install
- fixed buildrequires

* Fri Mar 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.95.3-3mdk
- added libart_lgpl-devel to BuildRequires
- added URL
- Provides: kde3-ksplashml (to fix E: kpslashml obsolete-not-provided kde3-kpslashml)

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.95.3-2mdk
- Rebuild

* Tue Oct 15 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.95.3-1mdk
- 0.95.3

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.95.2-4mdk
- Fix menu entry

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 0.95.2-3mdk
- Rebuild with gcc3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.95.2-2mdk
- Rebuild against gcc-3.2

* Tue Jun 18 2002 Laurent Culioli <laurent@mandrakesoft.com> 0.95.2-1mdk
- 0.95.2

* Tue Jun 18 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.95-1mdk
- 0.95

* Fri May 31 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.94.1-2mdk
- Rebuild

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.94.1-1mdk
- new version

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.93.1-2mdk
- Rebuild against gcc-3.1
- Add patch2 fix gcc3.1 compile
- Add patch3 fix gcc3.1 compile

* Mon May 06 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.93.1-1mdk
- New version

* Wed Apr 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.92-1mdk
- Port to kde3

* Tue Mar 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.92-1mdk
- Update code

* Thu Dec 06 2001 Laurent Montel <lmontel@mandrakesoft.com> 0.80-4mdk
- Fix test ksplash

* Mon Nov 26 2001 Laurent Montel <lmontel@mandrakesoft.com> 0.80-3mdk
- Fix conflict with kdebase

* Sat Nov 24 2001 Laurent Montel <lmontel@mandrakesoft.com> 0.80-2mdk
- Fix description and summary

* Fri Nov 23 2001 Laurent Montel <lmontel@mandrakesoft.com> 0.80-1mdk
- Initial package
